## referencing 0.31.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --strip-extras docs/requirements.in
#
alabaster==0.7.13
    # via sphinx
attrs==23.1.0
    # via referencing
babel==2.13.1
    # via sphinx
beautifulsoup4==4.12.2
    # via furo
certifi==2023.7.22
    # via requests
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via sphinx-click
docutils==0.20.1
    # via
    #   sphinx
    #   sphinx-click
furo==2023.9.10
    # via -r docs/requirements.in
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
lxml==4.9.3
    # via sphinx-json-schema-spec
markupsafe==2.1.3
    # via jinja2
packaging==23.2
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.16.1
    # via
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
    # via -r docs/requirements.in
file:.#egg=referencing
    # via -r docs/requirements.in
requests==2.31.0
    # via sphinx
rpds-py==0.12.0
    # via referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.2.6
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-click
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-click==5.0.1
    # via -r docs/requirements.in
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2023.8.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.0
    # via -r docs/requirements.in
url-py==0.9.2
    # via -r docs/requirements.in
urllib3==2.1.0
    # via requests

=== debian/changelog ===
referencing (0.31.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Thu, 16 Nov 2023 10:29:19 +0100

referencing (0.30.2-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Nov 2023 11:41:50 +0100

referencing (0.30.2-2) unstable; urgency=medium

  * Fix package description.

 -- Roland Mas <lolando@debian.org>  Fri, 10 Nov 2023 14:26:29 +0100

referencing (0.30.2-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 10 Nov 2023 14:14:37 +0100

=== debian/control ===
Source: referencing
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-hatchling,
 python3-pytest,
 python3-traitlets,
 jupyter-server,
 python3-rpds-py,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/python-jsonschema/referencing
Vcs-Browser: https://salsa.debian.org/python-team/packages/referencing
Vcs-Git: https://salsa.debian.org/python-team/packages/referencing.git

Package: python3-referencing
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Implementation-agnostic implementation of JSON reference resolution
 A way for e.g. JSON Schema tooling to resolve the $ref keywords
 across all drafts without needing to implement support themselves.
 .
 This library is meant for use both by implementers of JSON
 referencing-related tooling – like JSON Schema implementations
 supporting the $ref keyword – as well as by end-users using said
 implementations who wish to then configure sets of resources (like
 schemas) for use at runtime.
 .
 This package installs the library for Python 3.

## referencing 0.35.1

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file docs/requirements.txt docs/requirements.in
alabaster==0.7.16
    # via sphinx
attrs==23.2.0
    # via referencing
babel==2.14.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.2.2
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.4.27
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.3
    # via sphinx
lxml==5.2.1
    # via sphinx-json-schema-spec
markupsafe==2.1.5
    # via jinja2
packaging==24.0
    # via sphinx
pyenchant==3.3.0rc1
    # via sphinxcontrib-spelling
pygments==2.17.2
    # via
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
referencing @ file:.#egg=referencing
requests==2.31.0
    # via sphinx
rpds-py==0.18.0
    # via referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
sphinx-json-schema-spec==2024.1.1
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxcontrib-spelling==8.0.0
sphinxext-opengraph==0.9.1
url-py==0.10.0
urllib3==2.2.1
    # via requests

=== debian/changelog ===
referencing (0.35.1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/watch: Use pypi for upstream releases (this includes the
      testsuite submodule), repack new upstream tarball.
    - d/control: Enable pybuild autopkgtests.
    - d/control, rules: Enable build time unit tests.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2025 11:07:11 +0000

referencing (0.35.1-2) unstable; urgency=medium

  * Team upload.
  * Use new Team email address

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 12:41:36 +0100

referencing (0.35.1-1ubuntu1) oracular; urgency=medium

  * Fixes and improvments for Ubuntu MIR:
    - d/watch: Use pypi for upstream releases (this includes the
      testsuite submodule), repack new upstream tarball.
    - d/control: Enable pybuild autopkgtests.
    - d/control, rules: Enable build time unit tests.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 11:12:03 +0100

referencing (0.35.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Aug 2024 18:54:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=referencing
export PYBUILD_BEFORE_TEST=ln -s {dir}/suite {build_dir}/suite
export PYBUILD_AFTER_TEST=rm -f {build_dir}/suite

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/referencing/referencing-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## referencing 0.36.2

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/referencing/docs/requirements.txt docs/requirements.in
alabaster==1.0.0
    # via sphinx
attrs==24.3.0
    # via referencing
babel==2.16.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.12.14
    # via requests
charset-normalizer==3.4.1
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.8.6
    # via -r docs/requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.5
    # via sphinx
lxml==5.3.0
    # via sphinx-json-schema-spec
markupsafe==3.0.2
    # via jinja2
packaging==24.2
    # via sphinx
pyenchant==3.3.0rc1
    # via
    #   -r docs/requirements.in
    #   sphinxcontrib-spelling
pygments==2.19.1
    # via
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
    # via -r docs/requirements.in
referencing @ file:.#egg=referencing
    # via -r docs/requirements.in
requests==2.32.3
    # via
    #   sphinx
    #   sphinxcontrib-spelling
rpds-py==0.22.3
    # via referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.6
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2025.1.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxcontrib-spelling==8.0.1
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.1
    # via -r docs/requirements.in
url-py==0.14.1
    # via -r docs/requirements.in
urllib3==2.3.0
    # via requests

=== debian/changelog ===
referencing (0.36.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2116149) Remaining changes:
    - d/watch: Use pypi for upstream releases (this includes the
      testsuite submodule), repack new upstream tarball.
    - d/control: Enable pybuild autopkgtests.
    - d/control, rules: Enable build time unit tests.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 07 Jul 2025 22:20:33 +0530

referencing (0.36.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 05 Apr 2025 12:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: referencing
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Roland Mas <lolando@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
@@ -12,10 +13,11 @@
  pybuild-plugin-pyproject,
  python3-hatchling,
  python3-pytest,
+ python3-pytest-subtests,
  python3-traitlets,
  jupyter-server,
  python3-rpds-py,
-#Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Homepage: https://github.com/python-jsonschema/referencing
 Vcs-Browser: https://salsa.debian.org/python-team/packages/referencing

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+# See debhelper(7) (uncomment to enable).
+# Output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=referencing
